[PATCH v2 2/6] kdump-lib: add common variables and function for fence kdump

WANG Chao chaowang at redhat.com
Mon Jan 13 10:23:08 UTC 2014


Add following common variables and function:

$FENCE_KDUMP_CONIFG: configuration file /etc/sysconfig/fence_kdump
$FENCE_KDUMP_NODES: configuration file /etc/fence_kdump_nodes
$FENCE_KDUMP_SEND: executable /usr/libexec/fence_kdump_send
is_fence_kdump(): used to determine if the system is in a cluster and
configured with fence_kdump.

Signed-off-by: WANG Chao <chaowang at redhat.com>
---
 kdump-lib.sh | 17 ++++++++++++++++-
 1 file changed, 16 insertions(+), 1 deletion(-)

diff --git a/kdump-lib.sh b/kdump-lib.sh
index e73ac09..aac0c5f 100755
--- a/kdump-lib.sh
+++ b/kdump-lib.sh
@@ -1,8 +1,12 @@
 #!/bin/sh
 #
-# Kdump common functions
+# Kdump common variables and functions
 #
 
+FENCE_KDUMP_CONFIG="/etc/sysconfig/fence_kdump"
+FENCE_KDUMP_SEND="/usr/libexec/fence_kdump_send"
+FENCE_KDUMP_NODES="/etc/fence_kdump_nodes"
+
 is_ssh_dump_target()
 {
     grep -q "^ssh[[:blank:]].*@" /etc/kdump.conf
@@ -22,3 +26,14 @@ strip_comments()
 {
     echo $@ | sed -e 's/\(.*\)#.*/\1/'
 }
+
+# Check if fence kdump is configured in cluster
+is_fence_kdump()
+{
+    # no pcs or fence_kdump_send executables installed?
+    type -P pcs > /dev/null || return 1
+    [ -x $FENCE_KDUMP_SEND ] || return 1
+
+    # fence kdump not configured?
+    (pcs cluster cib | grep -q 'type="fence_kdump"') &> /dev/null || return 1
+}
-- 
1.8.4.2



More information about the kexec mailing list